<?php

use Livewire\Component;

use App\Models\ReportQuarter;
use App\Models\ActivitParaScolaire;
use App\Services\RepportService;
use App\Services\Chapter3Service;
return new class extends Component
{
    public $type = 3;
    public $data = [];
    public $school;
    public $cutting;

    public function mount() {
        $report = ReportQuarter::where('school_id', $this->school)->where('cutting_school_year_id', $this->cutting)->first();
        $dts = $report ? ActivitParaScolaire::where('report_quarter_id', $report->id)->where('type', $this->type)->orderBy('order')->get():[];
        $this->data = $dts;
    }

    protected function view($data = [])
    {
        return app('view')->file('C:\Users\EDUCAS\Desktop\App\V4_001\storage\framework/views/livewire/views/03ee8079.blade.php', $data);
    }
};
